> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List content filters

> Lists content filters in your organization. Content filters control which HTML elements are included or excluded during extraction.



## OpenAPI

````yaml get /html_filters
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /html_filters:
    get:
      tags:
        - Content filters
      summary: List content filters
      description: >-
        Lists content filters in your organization. Content filters control
        which HTML elements are included or excluded during extraction.
      operationId: html_filters#index
      parameters:
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
        - name: filter[project.id]
          in: query
          required: false
          description: filter by project ID
          schema:
            type: string
        - name: filter[scopes]
          in: query
          style: deepObject
          explode: true
          schema:
            type: object
          description: filter items by scopes
          required: false
        - name: filter[selector]
          in: query
          required: false
          description: filter by element attributes
          schema:
            type: string
        - name: filter[include]
          in: query
          required: false
          schema:
            type: boolean
        - name: filter[types][]
          in: query
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - element_class
                - element_data
                - element_type
                - element_xpath
                - element_id
                - element_text
          description: filter by filter types
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/htmlFiltersExample'
              schema:
                $ref: '#/components/schemas/htmlFiltersModel'
          headers:
            X-BeyondWords-Filter:
              description: The filters fields applied (if any).
              schema:
                type: string
              required: false
            X-Pagination-Limit:
              description: |-
                The requested number of results to be returned for this request.
                          The actual number of results returned may be lower.
              schema:
                type: integer
              required: false
            X-Pagination-OffSet:
              description: >-
                The position of the first result in the response (before
                pagination was applied).
              schema:
                type: integer
              required: false
            X-Pagination-Total-Count:
              description: >-
                The total number of results returned for this query (before
                pagination was applied).
              schema:
                type: integer
              required: false
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    htmlFiltersExample:
      summary: Sample list of content filters response
      value:
        - id: 1
          element_type: div
          include: true
        - id: 2
          element_type: p
          include: true
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    htmlFiltersModel:
      type: array
      items:
        $ref: '#/components/schemas/htmlFilterModel'
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    htmlFilterModel:
      type: object
      properties:
        id:
          type: integer
        element_type:
          type: string
          nullable: true
          description: The name of the tag representing the element
        element_class:
          type: string
          nullable: true
          description: >-
            The class attribute of an element. This filter will be applied to
            any element that contains the class
        element_data:
          type: string
          nullable: true
          description: The data attribute of an element
        element_xpath:
          type: string
          nullable: true
          description: >-
            The XPath specifying the elements.
            https://www.w3.org/TR/1999/REC-xpath-19991116/
        element_id:
          type: string
          nullable: true
          description: The class attribute of an element
        value:
          type: string
          nullable: true
          deprecated: true
          description: >-
            The string value contained within an element. This filter will be
            applied to any element that contains the value
        element_text:
          type: string
          nullable: true
          description: >-
            The string value contained within an element. This filter will be
            applied to any element that contains the value
        include:
          type: boolean
          description: >-
            Whether BeyondWords should use the filter to include or exclude the
            selected part of the HTML document. The default is false
        created:
          type: string
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          description: Time at which the object was updated (ISO 8601)
        project:
          type: object
          nullable: true
          description: The project id to apply this filter to
          properties:
            id:
              type: integer
            name:
              type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````